Firebird News

Friday, September 19, 2008

compiling pdo support in php - needed for phpmyfaq


or compiling php 5.2.x with pdo support all i did at configuration time is like adding
--with-pdo-firebird=/opt/firebird switch
then make; make install
Check the phpinfo() and pdo_firebird was there



cat config.nice
Code:
#! /bin/sh
#
# Created by configure

'./configure' \
'--with-apxs2=/opt/apache2.2/bin/apxs' \
'--prefix=/opt/php5.1' \
'--with-xml=shared' \
'--with-pdo-mysql=/opt/mysql-5.0.18/' \
'--with-pdo-firebird=/opt/firebird' \
"$@"


then download phpmyfaq

In my case 2.5.0 but the same apply to 2.0.8

http://www.phpmyfaq.de/download.php?do=download&number=2.5.0-alpha&ext=.tar.gz
unzip-it
tar -zxvf phpmyfaq-2.5.0-alpha.tar.gz
chown www-data.www-data phpmyfaq-2.5.0-alpha
chmod -R g+rw phpmyfaq-2.5.0-alpha
mv phpmyfaq-2.5.0-alpha phpmyfaq

and run the installer

http://localhost/phpmyfaq

No comments: